"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
exports.__esModule = true;
var React = require("react");
var style = {
    webkitTouchCallout: 'none',
    webkitUserSelect: 'none',
    khtmlUserSelect: 'none',
    mozUserSelect: 'none',
    msUserSelect: 'none',
    userSelect: 'none'
};
var tagSpecial = function (special_label, tag) {
    if (tag === "reference") {
        return "Refer\u00EAncia - " + special_label;
    }
    if (special_label === "" || special_label === undefined) {
        return tag;
    }
    else {
        return special_label;
    }
};
var Mark = function (props) {
    var bgColor = '#84d2ff';
    if (props.tag === 'reference') {
        bgColor = '#00000057';
    }
    else if (props.color) {
        bgColor = props.color;
    }
    return (React.createElement("mark", { style: { backgroundColor: bgColor, padding: '0 4px' }, "data-start": props.start, "data-end": props.end, onClick: function () { return props.onClick({ start: props.start, end: props.end }); } },
        props.content,
        props.tag && (React.createElement("span", { style: __assign({ fontSize: '0.7em', fontWeight: 500, marginLeft: 6 }, style) }, tagSpecial(props.special_label, props.tag)))));
};
exports["default"] = Mark;
//# sourceMappingURL=Mark.js.map